<template>
    <div :class="curClassName" :style="curStyle">
        <app-orgsector></app-orgsector>
    </div>
</template>
<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";

@Component({})
export default class AppIndexOrgSelect extends Vue {

    /**
     * 名称
     *
     * @type {string}
     * @memberof AppIndexOrgSelect
     */
    @Prop() public name!: string;

    /**
     * 布局模型详情
     *
     * @type {*}
     * @memberof AppIndexOrgSelect
     */
    @Prop() public layoutModelDetails: any;

    /**
     * 下标
     *
     * @type {number}
     * @memberof AppIndexOrgSelect
     */
    @Prop({ default: 0 }) public index?: number;

    /**
     * 项名称
     *
     * @type {*}
     * @memberof AppIndexOrgSelect
     */
    get itemName() {
        return this.index ? `${this.name}_${this.index}` : this.name;
    }

    /**
     * 当前容器类名
     *
     * @memberof AppIndexOrgSelect
     */
    get curClassName() {
        const layoutModel = this.layoutModelDetails[this.itemName];
        if (layoutModel) {
            return `app-index-org-select ${this.itemName} ${layoutModel.sysCss}`;
        }
    }

    /**
     * 当前容器样式
     *
     * @memberof AppIndexOrgSelect
     */
    get curStyle() {
        const layoutModel = this.layoutModelDetails[this.itemName];
        if (layoutModel) {
            return layoutModel.getElementStyle();
        }
    }

}
</script>
<style lang='less'>
@import './app-index-org-select.less';
</style>